
DeadDrop - Refactoring #69

Refactoring # 43 (New): Refactorings V0.5

Add JavaDoc for ddAPI, ddCommons, ddDB and scCore

10/24/2023 10:35 PM - Sancho Fock

Status: In Progress Start date: 11/02/2023

Priority: Normal Due date: 11/24/2023

Assignee: Sancho Fock % Done: 40%

Category: Doku Estimated time: 16:00 hours

Target version: 0.5.x   

Description

Related issues:

Follows Refactoring #68: Double Check Server Build Script Closed 11/01/2023 11/01/2023

History

#1 - 10/24/2023 10:37 PM - Sancho Fock

- Category set to Doku

- Target version changed from open to 0.5.x

#2 - 10/24/2023 10:39 PM - Sancho Fock

- Due date set to 10/26/2023

- Start date changed from 10/24/2023 to 10/26/2023

- Follows Refactoring #45: Document and Rework Object Model added

#3 - 10/24/2023 10:40 PM - Sancho Fock

- Precedes Refactoring #47: Implement basic Unit Test for Client added

#4 - 10/24/2023 10:42 PM - Sancho Fock

- Related to Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#5 - 10/24/2023 10:43 PM - Sancho Fock

- Related to deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)

#6 - 10/24/2023 10:43 PM - Sancho Fock

- Precedes Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#7 - 10/24/2023 10:44 PM - Sancho Fock

- Precedes deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)

#8 - 10/24/2023 10:45 PM - Sancho Fock

- Due date changed from 10/26/2023 to 10/30/2023

#9 - 10/26/2023 02:00 AM - Sancho Fock

- Due date changed from 10/30/2023 to 10/31/2023

- Start date changed from 10/26/2023 to 10/27/2023

#10 - 10/26/2023 04:04 PM - Sancho Fock

- Follows deleted (Refactoring #45: Document and Rework Object Model)

#11 - 10/26/2023 04:04 PM - Sancho Fock

- Due date changed from 10/31/2023 to 11/06/2023

- Start date changed from 10/27/2023 to 11/02/2023
- Follows Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#12 - 10/26/2023 04:06 PM - Sancho Fock

- Precedes Refactoring #51: Simplecrypt: implement BinaryKey Version 2 added

#13 - 10/26/2023 04:07 PM - Sancho Fock

- Precedes deleted (Refactoring #47: Implement basic Unit Test for Client)

#14 - 10/26/2023 04:10 PM - Sancho Fock

- Due date changed from 11/06/2023 to 11/24/2023

- Start date changed from 11/02/2023 to 11/22/2023

#15 - 10/27/2023 09:41 PM - Sancho Fock

- Due date changed from 11/24/2023 to 11/07/2023

- Start date changed from 11/22/2023 to 11/03/2023

#16 - 10/27/2023 09:42 PM - Sancho Fock

- Due date changed from 11/07/2023 to 11/14/2023

- Start date changed from 11/03/2023 to 11/10/2023

#17 - 10/28/2023 07:40 PM - Sancho Fock

- Due date changed from 11/14/2023 to 11/02/2023

- Start date changed from 11/10/2023 to 10/31/2023

#18 - 10/28/2023 07:41 PM - Sancho Fock

- Due date changed from 11/02/2023 to 11/01/2023

- Start date changed from 10/31/2023 to 10/30/2023

#19 - 10/28/2023 08:25 PM - Sancho Fock

- Precedes deleted (Refactoring #51: Simplecrypt: implement BinaryKey Version 2)

#20 - 10/28/2023 08:26 PM - Sancho Fock

- Follows deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)

#21 - 10/28/2023 08:26 PM - Sancho Fock

- Due date changed from 11/01/2023 to 11/09/2023

- Start date changed from 10/30/2023 to 11/07/2023

- Follows Refactoring #68: Double Check Server Build Script added

#22 - 10/29/2023 05:44 PM - Sancho Fock

- Due date changed from 11/09/2023 to 11/06/2023

- Start date changed from 11/07/2023 to 11/02/2023

#23 - 10/29/2023 11:22 PM - Sancho Fock

- Due date changed from 11/06/2023 to 11/08/2023

- Start date changed from 11/02/2023 to 11/06/2023

#24 - 10/31/2023 10:48 PM - Sancho Fock

- Due date changed from 11/08/2023 to 11/06/2023

- Start date changed from 11/06/2023 to 11/02/2023

#25 - 11/01/2023 09:51 AM - Sancho Fock

- Due date changed from 11/06/2023 to 11/20/2023

- Status changed from New to In Progress
- % Done changed from 0 to 10

#26 - 11/07/2023 08:09 AM - Sancho Fock

- Due date changed from 11/20/2023 to 12/07/2023

#27 - 11/07/2023 11:01 PM - Sancho Fock

- % Done changed from 10 to 20

#28 - 11/09/2023 10:10 PM - Sancho Fock

- % Done changed from 20 to 30

#29 - 11/09/2023 10:43 PM - Sancho Fock

- Due date changed from 12/07/2023 to 11/24/2023

#30 - 11/12/2023 01:35 AM - Sancho Fock

- % Done changed from 30 to 40
